- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
WPSContentParsingState Struct Reference

`#include <WPSContentListener.h>`

## Public Member Functions
| WPSContentParsingState ()
| ~WPSContentParsingState ()

## Public Attributes
WPXString | m_textBuffer
int | m_numDeferredTabs
uint32_t | m_textAttributeBits
double | m_fontSize
WPXString | m_fontName
uint32_t | m_fontColor
int | m_textLanguage
bool | m_isParagraphColumnBreak
bool | m_isParagraphPageBreak
libwps::Justification | m_paragraphJustification
double | m_paragraphLineSpacing
WPXUnit | m_paragraphLineSpacingUnit
uint32_t | m_paragraphBackgroundColor
int | m_paragraphBorders
WPSBorder | m_paragraphBordersStyle
shared_ptr< WPSList > | m_list
uint8_t | m_currentListLevel
bool | m_isPageSpanOpened
bool | m_isSectionOpened
bool | m_isFrameOpened
bool | m_isPageSpanBreakDeferred
bool | m_isHeaderFooterWithoutParagraph
bool | m_isSpanOpened
bool | m_isParagraphOpened
bool | m_isListElementOpened
bool | m_firstParagraphInPageSpan
std::vector< unsigned int > | m_numRowsToSkip
bool | m_isTableOpened
bool | m_isTableRowOpened
bool | m_isTableColumnOpened
bool | m_isTableCellOpened
unsigned | m_currentPage
int | m_numPagesRemainingInSpan
int | m_currentPageNumber
bool | m_sectionAttributesChanged
int | m_numColumns
std::vector< WPSColumnDefinition > | m_textColumns
bool | m_isTextColumnWithoutParagraph
double | m_pageFormLength
double | m_pageFormWidth
bool | m_pageFormOrientationIsPortrait
double | m_pageMarginLeft
double | m_pageMarginRight
double | m_pageMarginTop
double | m_pageMarginBottom
double | m_sectionMarginLeft
double | m_sectionMarginRight
double | m_sectionMarginTop
double | m_sectionMarginBottom
double | m_paragraphMarginLeft
double | m_paragraphMarginRight
double | m_paragraphMarginTop
WPXUnit | m_paragraphMarginTopUnit
double | m_paragraphMarginBottom
WPXUnit | m_paragraphMarginBottomUnit
double | m_leftMarginByPageMarginChange
double | m_rightMarginByPageMarginChange
double | m_leftMarginByParagraphMarginChange
double | m_rightMarginByParagraphMarginChange
double | m_leftMarginByTabs
double | m_rightMarginByTabs
double | m_paragraphTextIndent
double | m_textIndentByParagraphIndentChange
double | m_textIndentByTabs
double | m_listReferencePosition
double | m_listBeginPosition
std::vector< bool > | m_listOrderedLevels
uint16_t | m_alignmentCharacter
| a stack used to know what is open More...
std::vector< WPSTabStop > | m_tabStops
bool | m_isTabPositionRelative
bool | m_inSubDocument
bool | m_isNote
libwps::SubDocumentType | m_subDocumentType

## Private Member Functions
| WPSContentParsingState (const WPSContentParsingState &)
WPSContentParsingState & | operator= (const WPSContentParsingState &)

## Constructor & Destructor Documentation

WPSContentParsingState::WPSContentParsingState | ( |  | ) |

WPSContentParsingState::~WPSContentParsingState | ( |  | ) |

WPSContentParsingState::WPSContentParsingState | ( | const WPSContentParsingState & |  | ) |
| private

## Member Function Documentation

WPSContentParsingState& WPSContentParsingState::operator= | ( | const WPSContentParsingState & |  | ) |
| private

## Member Data Documentation

uint16_t WPSContentParsingState::m_alignmentCharacter

a stack used to know what is open

uint8_t WPSContentParsingState::m_currentListLevel

unsigned WPSContentParsingState::m_currentPage

int WPSContentParsingState::m_currentPageNumber

bool WPSContentParsingState::m_firstParagraphInPageSpan

uint32_t WPSContentParsingState::m_fontColor

WPXString WPSContentParsingState::m_fontName

double WPSContentParsingState::m_fontSize

bool WPSContentParsingState::m_inSubDocument

bool WPSContentParsingState::m_isFrameOpened

bool WPSContentParsingState::m_isHeaderFooterWithoutParagraph

bool WPSContentParsingState::m_isListElementOpened

bool WPSContentParsingState::m_isNote

bool WPSContentParsingState::m_isPageSpanBreakDeferred

bool WPSContentParsingState::m_isPageSpanOpened

bool WPSContentParsingState::m_isParagraphColumnBreak

bool WPSContentParsingState::m_isParagraphOpened

bool WPSContentParsingState::m_isParagraphPageBreak

bool WPSContentParsingState::m_isSectionOpened

bool WPSContentParsingState::m_isSpanOpened

bool WPSContentParsingState::m_isTableCellOpened

bool WPSContentParsingState::m_isTableColumnOpened

bool WPSContentParsingState::m_isTableOpened

bool WPSContentParsingState::m_isTableRowOpened

bool WPSContentParsingState::m_isTabPositionRelative

bool WPSContentParsingState::m_isTextColumnWithoutParagraph

double WPSContentParsingState::m_leftMarginByPageMarginChange

double WPSContentParsingState::m_leftMarginByParagraphMarginChange

double WPSContentParsingState::m_leftMarginByTabs

shared_ptr<WPSList> WPSContentParsingState::m_list

double WPSContentParsingState::m_listBeginPosition

std::vector<bool> WPSContentParsingState::m_listOrderedLevels

double WPSContentParsingState::m_listReferencePosition

int WPSContentParsingState::m_numColumns

int WPSContentParsingState::m_numDeferredTabs

int WPSContentParsingState::m_numPagesRemainingInSpan

std::vector<unsigned int> WPSContentParsingState::m_numRowsToSkip

double WPSContentParsingState::m_pageFormLength

bool WPSContentParsingState::m_pageFormOrientationIsPortrait

double WPSContentParsingState::m_pageFormWidth

double WPSContentParsingState::m_pageMarginBottom

double WPSContentParsingState::m_pageMarginLeft

double WPSContentParsingState::m_pageMarginRight

double WPSContentParsingState::m_pageMarginTop

uint32_t WPSContentParsingState::m_paragraphBackgroundColor

int WPSContentParsingState::m_paragraphBorders

WPSBorder WPSContentParsingState::m_paragraphBordersStyle

libwps::Justification WPSContentParsingState::m_paragraphJustification

double WPSContentParsingState::m_paragraphLineSpacing

WPXUnit WPSContentParsingState::m_paragraphLineSpacingUnit

double WPSContentParsingState::m_paragraphMarginBottom

WPXUnit WPSContentParsingState::m_paragraphMarginBottomUnit

double WPSContentParsingState::m_paragraphMarginLeft

double WPSContentParsingState::m_paragraphMarginRight

double WPSContentParsingState::m_paragraphMarginTop

WPXUnit WPSContentParsingState::m_paragraphMarginTopUnit

double WPSContentParsingState::m_paragraphTextIndent

double WPSContentParsingState::m_rightMarginByPageMarginChange

double WPSContentParsingState::m_rightMarginByParagraphMarginChange

double WPSContentParsingState::m_rightMarginByTabs

bool WPSContentParsingState::m_sectionAttributesChanged

double WPSContentParsingState::m_sectionMarginBottom

double WPSContentParsingState::m_sectionMarginLeft

double WPSContentParsingState::m_sectionMarginRight

double WPSContentParsingState::m_sectionMarginTop

libwps::SubDocumentType WPSContentParsingState::m_subDocumentType

std::vector<WPSTabStop> WPSContentParsingState::m_tabStops

uint32_t WPSContentParsingState::m_textAttributeBits

WPXString WPSContentParsingState::m_textBuffer

std::vector< WPSColumnDefinition > WPSContentParsingState::m_textColumns

double WPSContentParsingState::m_textIndentByParagraphIndentChange

double WPSContentParsingState::m_textIndentByTabs

int WPSContentParsingState::m_textLanguage

The documentation for this struct was generated from the following files:

- WPSContentListener.h
- WPSContentListener.cpp